[P011]简单著录项
可以通过输入patent_id或patent_number查询具体某条专利的简单著录项目信息。详细内容可以查看开发者文档中返回字段说明。
专利id和公开号两个参数必须要有一个,如果两个都存在,会优先使用专利id。
该接口支持批量请求,上限为100条,请求参数相互之间用英文,隔开。批量请求在进行流量/费用扣减的时候,会根据返回结果的成功条数进行多次扣减。
请求参数
此 API 接口支持的参数列表
| 名称 | 类型 | 示例 | 描述 |
|---|---|---|---|
| string | 718ead9c-4f3c-4674-8f5a-24e126827269 | 专利id |
| string | US11205304B2 | 公开公告号 |
响应结构
API 响应数据的结构说明
| 字段名 | 类型 | 示例 | 描述 |
|---|---|---|---|
data | array | - | 响应数据 |
pn | string | US11205304B2 | 公开(公告)号 |
patent_id | string | 718ead9c-4f3c-4674-8f5a-24e126827269 | 专利Id |
bibliographic_data | object | Please check the form: BibliographicData | 著录项目 |
parties | object | Please check the form: PartiesSimple | 申请相关 |
assignees | array | Please check the form: PatentBasePersonSimple | 当前申请(专利权)人 |
lang | string | EN | 语言 |
name | string | MAGIC LEAP, INC. | 名称 |
address | string | Dania Beach,FL,US | 地址 |
sequence | integer<int32> | 1 | 序号 |
inventors | array | Please check the form: PatentBasePersonSimple | 发明人 |
applicants | array | Please check the form: PatentBasePersonSimple | 原始申请人 |
abstracts | array | Please check the form: PatentAbstract | 专利摘要相关 |
lang | string | EN | 语言 |
text | string | An augmented reality display system comprises a passable world model data comprises a set of map points corresponding to one or more objects of the real world. The augmented reality system also comprises...... | 文本 |
patent_type | string | PATENT | 专利类型,其中APPLICATION:发明申请,PATENT:授权发明,UTILITY:实用新型,DESIGN:外观设计 |
invention_title | array | Please check the form: PatentTitleSimple | 专利标题语言和名称 |
lang | string | EN | 语言 |
text | string | Systems and methods for rendering user interfaces for augmented or virtual reality | 文本 |
priority_claims | array | Please check the form: PatentBaseInfoSimple | 优先权 |
date | integer<int32> | 20211221 | 日期 |
country | string | US | 国家/地区/组织代码 |
doc_number | string | 11205304 | 号码 |
reference_cited | object | Please check the form: ReferenceCited | 引用专利 |
cited_others | array | [
"鲍则民.杭州创新联合担保模式浅析.《吉林大学学报(信息科学版)》.2012"
] | 引用非专利文献 |
cited_patents | array | [
"CN203027992U"
] | 引用专利公开(公告)号 |
classification_data | object | Please check the form: ClassificationData | 分类号 |
classification_cpc | object | Please check the form: ClassificationDoc | CPC主分类号 |
main | string | G06Q40/025 | 主分类号 |
further | array | [
"H04L67/12"
] | 除第一个剩下的分类号 |
classification_gbc | array | [
"C3962"
] | GBC分类号 |
classification_loc | array | [
"12-10"
] | 外观 LOC 分类号 |
classification_ipcr | object | Please check the form: ClassificationDoc | IPCR/IPC主分类号 |
application_reference | object | Please check the form: ApplicationReference | 申请信息 |
apno | string | CN201510570472.5 | 申请号 |
date | integer<int32> | 20211221 | 日期 |
publication_reference | object | Please check the form: PublicationReference | 公开信息 |
date | integer<int32> | 20211221 | 日期 |
kind | string | B2 | 专利文献代码 |
country | string | US | 国家/地区/组织代码 |
doc_number | string | 106534228 | 号码 |
pct_or_regional_filing_data | object | Please check the form: PctOrRegionalFilingDataSimple | PCT申请相关 |
date | integer<int32> | 20150507 | PCT 国际公开日 |
doc_number | string | 14/706838 | PCT 国家公开号 |
entry_date | integer<int32> | 20170812 | PCT 进入国家阶段日 |
dates_of_public_availability | object | Please check the form: DatesOfPublicAvailabilitySimple | 授权信息 |
printed_with_granted | integer<int32> | 20101022 | 授权日 |
pct_or_regional_publishing_data | object | Please check the form: PctOrRegionalPublishingData | PCT公开信息 |
date | integer<int32> | 20211221 | 日期 |
number | string | 11205304 | 号码 |
status必填 | boolean | false | 状态 |
error_msg | string | The request parameter format is incorrect! | 错误信息 |
error_code必填 | integer | 0 | 错误代码 |
成功响应示例
成功调用 API 的响应示例
JSON
{
"data": [
{
"pn": "US11205304B2",
"patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269",
"bibliographic_data": {
"parties": {
"assignees": [
{
"lang": "EN",
"name": "MAGIC LEAP, INC.",
"address": "Dania Beach,FL,US",
"sequence": 1
}
],
"inventors": [
{
"lang": "EN",
"name": "MAGIC LEAP, INC.",
"address": "Dania Beach,FL,US",
"sequence": 1
}
],
"applicants": [
{
"lang": "EN",
"name": "MAGIC LEAP, INC.",
"address": "Dania Beach,FL,US",
"sequence": 1
}
]
},
"abstracts": [
{
"lang": "EN",
"text": "An augmented reality display system comprises a passable world model data comprises a set of map points corresponding to one or more objects of the real world. The augmented reality system also comprises......"
}
],
"patent_type": "PATENT",
"invention_title": [
{
"lang": "EN",
"text": "Systems and methods for rendering user interfaces for augmented or virtual reality"
}
],
"priority_claims": [
{
"date": 20211221,
"country": "US",
"doc_number": "11205304"
}
],
"reference_cited": {
"cited_others": [
"鲍则民.杭州创新联合担保模式浅析.《吉林大学学报(信息科学版)》.2012"
],
"cited_patents": [
"CN203027992U"
]
},
"classification_data": {
"classification_cpc": {
"main": "G06Q40/025",
"further": [
"H04L67/12"
]
},
"classification_gbc": [
"C3962"
],
"classification_loc": [
"12-10"
],
"classification_ipcr": {
"main": "G06Q40/025",
"further": [
"H04L67/12"
]
}
},
"application_reference": {
"apno": "CN201510570472.5",
"date": 20211221
},
"publication_reference": {
"date": 20211221,
"kind": "B2",
"country": "US",
"doc_number": "106534228"
},
"pct_or_regional_filing_data": {
"date": 20150507,
"doc_number": "14/706838",
"entry_date": 20170812
},
"dates_of_public_availability": {
"printed_with_granted": 20101022
},
"pct_or_regional_publishing_data": {
"date": 20211221,
"number": "11205304"
}
}
}
],
"status": true,
"error_code": 0
}错误码
此接口可能返回的错误码列表
业务错误码
| 错误码 | 描述 |
|---|---|
68300004 | 请求参数异常! |
68300005 | 查询Api失败! |
68300006 | 解析基本存取错误! |
68300007 | 存在错误的请求! |
68300008 | 服务中断异常,请稍后再试! |
68300010 | 文件不符合上传规范! |
平台错误码
| 错误码 | 描述 |
|---|---|
67200001 | API整体限流错误! |
67200002 | 用户调用请求限流限制错误! |
67200003 | 申请token的key和secret不正确或者状态错误! |
67200004 | 无权限或该接口的套餐已超过系统设置的上限! |
67200005 | 账户余额不足,调用失败! |
67200006 | 客户端已过期,调用失败! |
HTTP 状态码
| 状态码 | 描述 |
|---|---|
0 | 请求成功 |
401 | Unauthorized |
403 | Forbidden |
404 | Not Found |